let
  secrets = import ../modules/secrets.nix;
in {
    services.matrix-appservice-discord = {
    enable = true;
    settings = {
      auth = {
        clientID = "${secrets.discordBotID}";
	botToken = "${secrets.discordBotToken}";
	usePrivilegedIntents = true;
      };
      bridge = {
        domain = "${secrets.jimDomain}";
        homeserverUrl = "https://matrix.${secrets.jimDomain}";
      };
    };
  };
}
